libgtk3-perl_0.018-1_all.deb


Advertisement

Description

libgtk3-perl - Perl bindings for the GTK+ graphical user interface library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgtk3-perl
Package version 0.018
Package release 1
Package architecture all
Package type deb
Installed size 66 B
Download size 22.27 KB
Official Mirror ftp.br.debian.org
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable
for projects ranging from small one-off tools to complete application
suites.
This package contains the Perl bindings to GTK+, build using
Glib::Object::Introspection.

Alternatives

Package Version Architecture Repository
libgtk3-perl_0.018-1_all.deb 0.018 all Debian Main
libgtk3-perl - - -

Requires

Name Value
gir1.2-gtk-3.0 -
gir1.2-pango-1.0 -
libcairo-gobject-perl -
libglib-object-introspection-perl >= 0.024
libglib-perl -
perl -

Download

Type URL
Binary Package libgtk3-perl_0.018-1_all.deb
Source Package libgtk3-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgtk3-perl deb package:
    # sudo apt-get install libgtk3-perl

Files

Path
/usr/share/doc/libgtk3-perl/README
/usr/share/doc/libgtk3-perl/changelog.Debian.gz
/usr/share/doc/libgtk3-perl/changelog.gz
/usr/share/doc/libgtk3-perl/copyright
/usr/share/man/man3/Gtk3.3pm.gz
/usr/share/perl5/Gtk3.pm

Changelog

2014-10-14 - intrigeri <intrigeri@debian.org>
libgtk3-perl (0.018-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ intrigeri ]
* New upstream release.
* Declare compliance with Standards-Version 3.9.6 (no change needed).
2014-07-10 - gregor herrmann <gregoa@debian.org>
libgtk3-perl (0.017-2) unstable; urgency=medium
* Team upload.
* (Build-) depend on libglib-object-introspection-perl >= 0.024.
This and Gtk3 0.017 are necessary for Perl 5.20.
(Closes: #752986)
2014-07-10 - gregor herrmann <gregoa@debian.org>
libgtk3-perl (0.017-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Strip trailing slash from metacpan URLs.
* Refresh 0001-Use-a-temporary-directory-as-HOME.patch.
* Update years of upstream copyright.
2014-02-21 - intrigeri <intrigeri@debian.org>
libgtk3-perl (0.016-1) unstable; urgency=medium
* New upstream release.
2014-01-17 - gregor herrmann <gregoa@debian.org>
libgtk3-perl (0.015-2) unstable; urgency=medium
* Team upload.
[ intrigeri ]
* Use "perl" instead of "perl-modules" for versioned dependency. The
split into perl and perl-modules is an implementation details of the
perl source package.
[ gregor herrmann ]
* debian/rules: set HOME for tests to a writable directory.
(Closes: #735823)
2014-01-08 - intrigeri <intrigeri@debian.org>
libgtk3-perl (0.015-1) unstable; urgency=medium
* New upstream release.
* Mark patch as forwarded.
* Declare compliance with Standards-Version 3.9.5.
* Add a Lintian override for debian-watch-may-check-gpg-signature.
Upstream does not provide detached signatures, but they sign Git tags,
and we (well, at least I) verify it and compare to the imported tarball
content before uploading to Debian.
* Add versioned dependency on
perl-modules (>= 5.13.4) | libtest-simple-perl (>= 0.96).
* Refresh Debian patches.
2013-10-21 - intrigeri <intrigeri@debian.org>
libgtk3-perl (0.014-1) unstable; urgency=low
* New upstream release.
* New patch: 0001-Use-a-temporary-directory-as-HOME.patch
(Closes: #724103).
2013-10-01 - intrigeri <intrigeri@debian.org>
libgtk3-perl (0.013-1) unstable; urgency=low
* New upstream release.
* Bump dependency on libglib-object-introspection-perl to >= 0.016.
2013-10-01 - intrigeri <intrigeri@debian.org>
libgtk3-perl (0.012-1) UNRELEASED; urgency=low
* New upstream release.
2013-09-05 - intrigeri <intrigeri@debian.org>
libgtk3-perl (0.011-1) unstable; urgency=low
[ Upstream ]
* Release v0.011: add many new overrides, fix a bunch of bugs.
[ intrigeri ]
* Upload to unstable.
* Update {build-,}dependency on libglib-object-introspection-perl to >= 0.015.
* Take into account upstream bumped copyright years.
* Bump our own copyright years.
* Declare compatibility with Standards-Version 3.9.4.

See Also

Package Description
libgtk3.0-cil-dev_2.99.3-2_amd64.deb CLI binding for the GTK+ toolkit 3.0
libgtk3.0-cil_2.99.3-2_amd64.deb CLI binding for the GTK+ 3.0 toolkit
libgtkada-bin_2.24.4dfsg-1_amd64.deb Ada binding for the GTK+ GUI (development utilities)
libgtkada-doc_2.24.4dfsg-1_all.deb Ada binding for the GTK+ GUI (documentation)
libgtkada2.24.4-dev_2.24.4dfsg-1_amd64.deb Ada binding for the GTK+ GUI (development files)
libgtkada2.24.4_2.24.4dfsg-1_amd64.deb Ada binding for the GTK+ GUI (dynamic library)
libgtkdatabox-0.9.2-0-dev_0.9.2.0+dfsg-1_amd64.deb Gtk+ library to display large amounts of numerical data (development)
libgtkdatabox-0.9.2-0-doc_0.9.2.0+dfsg-1_all.deb Gtk+ library to display large amounts of numerical data (API doc)
libgtkdatabox-0.9.2-0-glade_0.9.2.0+dfsg-1_amd64.deb Gtk+ library to display large amounts of numerical data (glade API)
libgtkdatabox-0.9.2-0-libglade_0.9.2.0+dfsg-1_amd64.deb Gtk+ library to display large amounts of numerical data (glade lib)
libgtkdatabox-0.9.2-0_0.9.2.0+dfsg-1_amd64.deb Gtk+ library to display large amounts of numerical data
libgtkdataboxmm-0.9-0_0.9.4-3_amd64.deb C++ bindings for GtkDatabox - shared library
libgtkdataboxmm-dev_0.9.4-3_amd64.deb C++ bindings for GtkDatabox - development files
libgtkdataboxmm-doc_0.9.4-3_all.deb C++ bindings for GtkDatabox - documentation and examples
libgtkextra-3.0-doc_3.1.1-2_all.deb documentation for libgtkextra-x11-3.0
Advertisement
Advertisement